## 0.3.0

##### Breaking
- The native iOS bridge uses [Braze iOS SDK 3.15.0](https://github.com/Appboy/appboy-ios-sdk/blob/master/CHANGELOG.md#3150).
- The native Android bridge uses [Braze Android SDK 3.5.0](https://github.com/Appboy/appboy-android-sdk/blob/master/CHANGELOG.md#350).
- Support for the Android configuration parameter `com_appboy_inapp_show_inapp_messages_automatically` has been removed.
  - To control whether an in-app message object should be displayed natively or not, create and register an instance of `IInAppMessageManagerListener` in your native Android code and implement decisioning in the `beforeInAppMessageDisplayed` method. See `MainActivity` in our sample app for an example.
- On Android, in-app message objects are no longer sent automatically to the Dart in-app message callback after calling `BrazePlugin.setBrazeInAppMessageCallback()` in your Dart code.
  - Similar to iOS, you will need to implement a delegate interface in your native app code and pass in-app message objects to the Dart layer for passing to the callback.
  - On Android, the delegate interface is `IInAppMessageManagerListener` and the method for passing objects to Dart is `BrazePlugin.processInAppMessage(inAppMessage)`.
  - See the sample `IInAppMessageManagerListener` implementation in the `MainActivity.kt` file of our sample app for an example.
  - This approach gives the integrator more flexibility in deciding when a message should be displayed natively, discarded, or passed into the Dart layer.

##### Added
- Added support for logging in-app message analytics to the Braze interface using `BrazeInAppMessage` instances. See `logInAppMessageClicked`, `logInAppMessageImpression`, and `logInAppMessageButtonClicked`.

## 0.2.1

##### Added
- Added the following new fields to `BrazeInAppMessage`: `imageUrl`, `useWebView`, `duration`, `clickAction`, `dismissType`, `messageType`
- Added the following new fields to `BrazeButton`: `useWebView`, `clickAction`.

## 0.2.0

##### Breaking
- The native iOS bridge uses [Braze iOS SDK 3.14.0](https://github.com/Appboy/appboy-ios-sdk/blob/master/CHANGELOG.md#3140).
- The native Android bridge uses [Braze Android SDK 3.2.1](https://github.com/Appboy/appboy-android-sdk/blob/master/CHANGELOG.md#321).

##### Added
- Adds `addAlias()` to the public API interface.
- Adds `requestLocationInitialization()` to the public API interface.
- Adds `getInstallTrackingId()` to the public API interface.
- Adds support for disabling native in-app message display on Android.
  - To disable automatic in-app message display, create a boolean element named `com_appboy_inapp_show_inapp_messages_automatically` in your Android app's `appboy.xml` and set it to `false`.
  - Note: Disabling automatic in-app message display was already possible for iOS. For instructions, see `README.md`.
- Adds a Dart callback for receiving Braze in-app message data in the Flutter host app.
  - Analytics are not currently supported on messages displayed through the callback.
  - To set the callback, call `BrazePlugin.setBrazeInAppMessageCallback()` from your Flutter app with a function that takes a `BrazeInAppMessage` instance.
    - The `BrazeInAppMessage` object supports a subset of fields available in the native model objects, including `uri`, `message`, `header`, `buttons`, and `extras`.
  - The callback should begin to function on Android immediately after being set.
  - On iOS, you will additionally need to implement the `ABKInAppMessageControllerDelegate` delegate as described in our [public documentation](https://www.braze.com/docs/developer_guide/platform_integration_guides/ios/in-app_messaging/customization/#in-app-message-controller-delegate). Your `beforeInAppMessageDisplayed` delegate implementation must call `BrazePlugin.process(inAppMessage)`. For an example, see `AppDelegate.swift` in our example app.

## 0.1.1
- Formatted `braze_plugin.dart`.

## 0.1.0
- Removes the unused `dart:async` import in `braze_plugin.dart`.
- Makes `_callStringMethod` private in `braze_plugin.dart`.
- Adds basic dartdoc to the public API interface.

## 0.0.2
- Updates the version of Kotlin used by the Android plugin from `1.2.71` to `1.3.11`.

## 0.0.1
- Initial release.
- The native iOS bridge uses [Braze iOS SDK 3.12.0](https://github.com/Appboy/appboy-ios-sdk/releases/tag/3.12.0).
- The native Android bridge uses [Braze Android SDK 3.1.0](https://github.com/Appboy/appboy-android-sdk/blob/master/CHANGELOG.md#310).
